Create invoice for customer

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

A one-time invoice can be created on demand for a customer by providing a number of order lines. The invoice can later be settled using a customer payment method or using a manual transfer e.g. bank transfer. The creation and settlement can also be done in one operation by either supplying a settle payment method or a manual transfer to the create operation. The result of the creation is an invoice with state pending if not settled directly, or state settled or failed depending on the result of the immediate settle attempt.

Errors

The operation can generate the following errors beside the generic HTTP error codes described here.

Error code HTTP codeDescription
9404Customer not found
11400Duplicate handle provided
76 400Payment method not provided and settle requested
40404 Payment method provided not found
Path Params
string
required

Customer handle

Body Params
string
required
length ≥ 1

Per account unique handle for the invoice. Max length 255 with allowable characters [a-zA-Z0-9_.-@]. It is recommended to use a maximum of 20 characters as this will allow for the use of handle as reference on bank statements without truncation.

settle
object

Optional settle to perform after creation using a different payment method. If the settle fails the status will be failed if instant or pending if not instant. The due date will be ignored for subscription invoice create.

metadata
object

Custom metadata.

string

Optional currency. If not set, the default currency of the account will be used.

order_lines
array of objects
required
length between 1 and 1000

Order lines for the invoice. A maximum of 100 order lines is allowed.

order_lines*
manual_transfer
object

Optional manual transfer. If given the invoice will be settled using the manual transfer transaction.

billing_address
object

Optional billing address

shipping_address
object

Optional shipping address

string

Cost center for accounting invoices (not applied to the charges)

string

Purchase order number for accounting invoices (not applied to the charges)

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json